# Uses of Interface
java.awt.Paint

Packages that use Paint
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.border
Provides classes and interface for drawing specialized borders around a Swing component.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.

## Uses of Paint in java.awt

Classes in java.awt that implement Paint
Modifier and Type
Class
Description
`class`
`Color`
The `Color` class is used to encapsulate colors in the default sRGB color space or colors in arbitrary color spaces identified by a `ColorSpace`.
`class`
`GradientPaint`
The `GradientPaint` class provides a way to fill a `Shape` with a linear color gradient pattern.
`class`
`LinearGradientPaint`
The `LinearGradientPaint` class provides a way to fill a `Shape` with a linear color gradient pattern.
`class`
`MultipleGradientPaint`
This is the superclass for Paints which use a multiple color gradient to fill in their raster.
`class`
`RadialGradientPaint`
The `RadialGradientPaint` class provides a way to fill a shape with a circular radial color gradient pattern.
`class`
`SystemColor`
A class to encapsulate symbolic colors representing the color of native GUI objects on a system.
`class`
`TexturePaint`
The `TexturePaint` class provides a way to fill a `Shape` with a texture that is specified as a `BufferedImage`.
Methods in java.awt that return Paint
Modifier and Type
Method
Description
`abstract Paint`
Graphics2D.`getPaint()`
Returns the current `Paint` of the `Graphics2D` context.
Methods in java.awt with parameters of type Paint
Modifier and Type
Method
Description
`abstract void`
Graphics2D.`setPaint​(Paint paint)`
Sets the `Paint` attribute for the `Graphics2D` context.

## Uses of Paint in javax.swing

Methods in javax.swing with parameters of type Paint
Modifier and Type
Method
Description
`static Border`
BorderFactory.`createDashedBorder​(Paint paint)`
Creates a dashed border of the specified `paint`.
`static Border`
BorderFactory.`createDashedBorder​(Paint paint, float length, float spacing)`
Creates a dashed border of the specified `paint`, relative `length`, and relative `spacing`.
`static Border`
BorderFactory.`createDashedBorder​(Paint paint, float thickness, float length, float spacing, boolean rounded)`
Creates a dashed border of the specified `paint`, `thickness`, line shape, relative `length`, and relative `spacing`.
`static Border`
BorderFactory.`createStrokeBorder​(BasicStroke stroke, Paint paint)`
Creates a border of the specified `stroke` and `paint`.

## Uses of Paint in javax.swing.border

Methods in javax.swing.border that return Paint
Modifier and Type
Method
Description
`Paint`
StrokeBorder.`getPaint()`
Returns the `Paint` object used to generate a color during the border rendering.
Constructors in javax.swing.border with parameters of type Paint
Modifier
Constructor
Description
``
`StrokeBorder​(BasicStroke stroke, Paint paint)`
Creates a border of the specified `stroke` and `paint`.

## Uses of Paint in javax.swing.plaf

Classes in javax.swing.plaf that implement Paint
Modifier and Type
Class
Description
`class`
`ColorUIResource`
A subclass of Color that implements UIResource.